## r-cran-dials 1.2.0

=== DESCRIPTION ===
Package: dials
Title: Tools for Creating Tuning Parameter Values
Version: 1.2.0
Authors@R: c(
    person("Max", "Kuhn", , "max@posit.co", role = "aut"),
    person("Hannah", "Frick", , "hannah@posit.co", role = c("aut", "cre")),
    person(given = "Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Many models contain tuning parameters (i.e. parameters that
    cannot be directly estimated from the data). These tools can be used
    to define objects for creating, simulating, or validating values for
    such parameters.
License: MIT + file LICENSE
URL: https://dials.tidymodels.org, https://github.com/tidymodels/dials
BugReports: https://github.com/tidymodels/dials/issues
Depends: R (>= 3.4), scales
Imports: cli, DiceDesign, dplyr (>= 0.8.5), glue, hardhat (>= 1.1.0),
        lifecycle, pillar, purrr, rlang (>= 1.1.0), tibble, utils,
        vctrs (>= 0.3.8), withr
Suggests: covr, kernlab, knitr, rmarkdown, rpart, testthat (>= 3.0.0),
        xml2
VignetteBuilder: knitr
ByteCompile: true
Config/testthat/edition: 3
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-04-03 14:32:12 UTC; hannah
Author: Max Kuhn [aut],
  Hannah Frick [aut, cre],
  Posit Software, PBC [cph, fnd]
Maintainer: Hannah Frick <hannah@posit.co>
Repository: CRAN
Date/Publication: 2023-04-03 15:30:10 UTC

=== debian/changelog ===
r-cran-dials (1.2.0-2) unstable; urgency=medium

  * Source-only upload
  * Rebuild d/t/control with full dependencies

 -- Andreas Tille <tille@debian.org>  Mon, 18 Dec 2023 10:00:44 +0100

r-cran-dials (1.2.0-1) unstable; urgency=medium

  * Initial release (closes: #1039912)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 14:45:40 +0200

=== debian/control ===
Source: r-cran-dials
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-scales,
               r-cran-cli,
               r-cran-dicedesign,
               r-cran-dplyr,
               r-cran-glue,
               r-cran-hardhat,
               r-cran-lifecycle,
               r-cran-pillar,
               r-cran-purrr,
               r-cran-rlang (>= 1.1.0),
               r-cran-tibble,
               r-cran-vctrs (>= 0.3.8),
               r-cran-withr
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dials
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dials.git
Homepage: https://cran.r-project.org/package=dials
Rules-Requires-Root: no

Package: r-cran-dials
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R tools for creating tuning parameter values
 Many models contain tuning parameters (i.e. parameters that
 cannot be directly estimated from the data). These tools can be used
 to define objects for creating, simulating, or validating values for
 such parameters.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-kernlab,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-rpart,
        r-cran-testthat (>= 3.0.0),
        r-cran-xml2
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/dials_([-\d.]*)\.tar\.gz

## r-cran-dials 1.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: dials
 Title: Tools for Creating Tuning Parameter Values
-Version: 1.2.0
+Version: 1.2.1
 Authors@R: c(
     person("Max", "Kuhn", , "max@posit.co", role = "aut"),
     person("Hannah", "Frick", , "hannah@posit.co", role = c("aut", "cre")),
@@ -13,23 +13,23 @@
 License: MIT + file LICENSE
 URL: https://dials.tidymodels.org, https://github.com/tidymodels/dials
 BugReports: https://github.com/tidymodels/dials/issues
-Depends: R (>= 3.4), scales
+Depends: R (>= 3.4), scales (>= 1.3.0)
 Imports: cli, DiceDesign, dplyr (>= 0.8.5), glue, hardhat (>= 1.1.0),
         lifecycle, pillar, purrr, rlang (>= 1.1.0), tibble, utils,
         vctrs (>= 0.3.8), withr
-Suggests: covr, kernlab, knitr, rmarkdown, rpart, testthat (>= 3.0.0),
+Suggests: covr, kernlab, knitr, rmarkdown, rpart, testthat (>= 3.1.9),
         xml2
 VignetteBuilder: knitr
 ByteCompile: true
 Config/testthat/edition: 3
 Config/Needs/website: tidyverse/tidytemplate
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 NeedsCompilation: no
-Packaged: 2023-04-03 14:32:12 UTC; hannah
+Packaged: 2024-02-22 11:45:34 UTC; hannah
 Author: Max Kuhn [aut],
   Hannah Frick [aut, cre],
   Posit Software, PBC [cph, fnd]
 Maintainer: Hannah Frick <hannah@posit.co>
 Repository: CRAN
-Date/Publication: 2023-04-03 15:30:10 UTC
+Date/Publication: 2024-02-22 12:20:06 UTC

=== debian/changelog ===
r-cran-dials (1.2.1-1) unstable; urgency=medium

  [ Charles Plessy ]
  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

  [ Michael R. Crusoe ]
  * Added patch to emit JUnit output during the test. Closes: #1072629

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 12 Jul 2024 11:53:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-scales,
+               r-cran-scales (>= 1.3.0),
                r-cran-cli,
                r-cran-dicedesign,
                r-cran-dplyr,
@@ -20,7 +20,7 @@
                r-cran-tibble,
                r-cran-vctrs (>= 0.3.8),
                r-cran-withr
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dials
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dials.git
 Homepage: https://cran.r-project.org/package=dials

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,6 @@
         r-cran-knitr,
         r-cran-rmarkdown,
         r-cran-rpart,
-        r-cran-testthat (>= 3.0.0),
+        r-cran-testthat (>= 3.1.9),
         r-cran-xml2
 Restrictions: allow-stderr
